/*-
 * ~~~~~~licensing~~~~~~
 * application-impl
 * ==========
 * Copyright (C) 2020 - 2025 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.integration.applications.impl.project.model.item;

import ru.entaxy.platform.integration.applications.EntaxyApplication;
import ru.entaxy.platform.integration.applications.impl.project.model.ContentModel;

public class ContentModelItem {

    transient ContentModel contentModel;

    String id;
    boolean required = false;
    boolean ignored = false;
    boolean ghost = false;

    EntaxyApplication.ITEM_SCOPE scope;
    EntaxyApplication.ITEM_TYPE type;

    String colocationGroupId;

    public ContentModel getContentModel() {
        return contentModel;
    }

    public void setContentModel(ContentModel contentModel) {
        this.contentModel = contentModel;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public boolean isRequired() {
        return required;
    }

    public void setRequired(boolean required) {
        this.required = required;
    }

    public boolean isIgnored() {
        return ignored;
    }

    public void setIgnored(boolean ignored) {
        this.ignored = ignored;
    }

    public boolean isGhost() {
        return ghost;
    }

    public void setGhost(boolean ghost) {
        this.ghost = ghost;
    }

    public EntaxyApplication.ITEM_SCOPE getItemScope() {
        return scope;
    }

    public void setItemScope(EntaxyApplication.ITEM_SCOPE itemScope) {
        this.scope = itemScope;
    }

    public EntaxyApplication.ITEM_TYPE getItemType() {
        return type;
    }

    public void setItemType(EntaxyApplication.ITEM_TYPE itemType) {
        this.type = itemType;
    }

    public String getColocationGroupId() {
        return colocationGroupId;
    }

    public void setColocationGroupId(String colocationGroupId) {
        this.colocationGroupId = colocationGroupId;
    }

}
